org.apache.velocity.tools.generic

## Class LoopTool.Comparison

- java.lang.Object
- - org.apache.velocity.tools.generic.LoopTool.Comparison

All Implemented Interfaces:
  LoopTool.Condition

Direct Known Subclasses:
  LoopTool.Equals

Enclosing class:
  LoopTool

    public abstract static class LoopTool.Comparison
    extends Object
    implements LoopTool.Condition

Base condition class for conditions (assumption here is that conditions are all comparative. Not much else makes sense to me for this context at this point.

### Field Summary

Fields
`protected Object` `compare`

### Constructor Summary

Constructors
Constructor and Description
`Comparison(Object compare)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.velocity.tools.generic.LoopTool.Condition

`test`

### Field Detail

#### compare

    protected Object compare

### Constructor Detail

#### Comparison

    public Comparison(Object compare)